#include <iostream>
using namespace std;

int main()
{
	int i, j, N, pom, zam = 0;
	
	cin >> N;
	int niz[ N ];
	
	for( i = 0; i < N; ++i )
		cin >> niz[ i ];
		
	for( i = 0; i < N; ++i )
	{
		for( j = i + 1; j < N; ++j )
		{
			if( niz[ j ] > niz[ i ] )
			{
				pom = niz[ j ];
				niz[ j ] = niz[ i ];
				niz[ i ] = pom;
				
				zam = 1;
			}
		}
		
		if( zam )
			break;
	}
	
	if( !zam )
	{
		pom = niz[ N - 1 ];
		niz[ N - 1 ] = niz[ N - 2 ];
		niz[ N - 2 ] = pom;
	}
		
	for( i = 0; i < N; ++i )
		cout << niz[ i ] << " ";
	
	return 0;
}